#
# spec file for package tree-sitter-python
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name python
Summary:        Python grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.21.0
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-python
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%license LICENSE
%{treesitter_files}

%changelog
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * fix: don't parse the `l` suffix in floats, allow trailing commas in type parameters
  * feat: improve bindings
  * fix(queries): use last-precedence for highlights
  * fix: regenerate with operator precedence fix
* Sun Feb 25 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.4:
  * chore: generate
  * feat: add detailed pattern matching support
  * fix: use _Static_assert instead of static_assert
  * feat: update ci script, add python repo
  * chore: update tests
  * chore: generate
  * fix(scanner): don't dedent inside f-strings, skip newlines following a backslash in raw strings
  * feat: support Python 3.12
  * chore: update tests
